xnote XML DTD: User Element View | [DTD Element View]
[Home] [Elements] | [Prev] [Next]

# Element xnote

## Synopsis

### Content Model

    (title?,content,keyword*,link*,ulink*)

### Attributes

Name | Type | Default Value
--- | --- | ---
share | Enumeration: private public | None
date | NMTOKEN | None
user | NMTOKEN | None
id | NMTOKEN | None
citekey | NMTOKEN | None

## Description

The xnote element holds one extended note, being a wrapper for the note text, a title, keywords, and links to other database objects.

The id attribute specifies the reference ID as generated by RefDB.

The citekey attribute specifies the note citation key. This is a unique string which unambiguously identifies the note in the database.

The user attribute specifies the user who added the note.

The date attribute holds the date of the note in ISO notation (YYYY-MM-DD).

The share attribute specifies whether the note should be public or private.

### Parents

xnoteset

### Children

content, keyword, link, title, ulink

## Example

    <xnote id="1" citekey="markus2005" date="2005-10-12" share="public">
    <title>myfirstnote</title>
    <content>The note text proper</content>
    <keyword>biochemistry</keyword>
    <keyword>enzymes</keyword>
    <link type="reference" target="WANG2002"/>
    <link type="reference" target="Phadke1994"/>
    <link type="author" target="Walsh,N."/>
    <link type="journalabbrev" target="Biochem.Pharmacol."/>
    </xnote>

HTML Presentation of xnote XML DTD by DTDParse (version 2.00).